Page MenuHomePhabricator

BookletLayout is unusable on mobile
Closed, DeclinedPublic

Description

BookletLayout is unusable on mobile. Example (in VE):

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.Nov 20 2018, 5:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 5:08 AM

Change 474839 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] Make BookletLayout usable on mobile

https://gerrit.wikimedia.org/r/474839

See parent tasks for some practical demonstrations.

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Dec 5 2018, 4:49 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 3 2019, 4:03 PM

Just want to check in with @Volker_E and @iamjessklein to understand what is blocking the patch above from @matmarex being released?

@JTannerWMF I've identified an issue in my last test of the patch, shared at T209911#4999438

Change 474839 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] Make BookletLayout usable on mobile

https://gerrit.wikimedia.org/r/474839

matmarex closed this task as Declined.May 19 2019, 7:59 PM
matmarex claimed this task.

After a lot of discussion at the hackathon we decided that you should just not use BookletLayout on mobile. The approach in my patch is fancy but ultimately not very usable. In most cases using IndexLayout instead is a good solution. Exceptions like T209909, T209911 and T148049 will need to be redesigned in a more creative way.

Change 474839 abandoned by Bartosz Dziewoński:
Make BookletLayout usable on mobile

Reason:
Per task

https://gerrit.wikimedia.org/r/474839

Volker_E moved this task from Reviewing to Backlog on the OOUI board.